libteam: Team ports functions

libteam 1.30

Functions
Team ports functions
Libteam

Wrapper for team generic netlink port-related communication. More...

## Functions
TEAM_EXPORT struct team_port * | team_get_next_port (struct team_handle *th, struct team_port *port)
TEAM_EXPORT uint32_t | team_get_port_ifindex (struct team_port *port)
TEAM_EXPORT uint32_t | team_get_port_speed (struct team_port *port)
TEAM_EXPORT uint8_t | team_get_port_duplex (struct team_port *port)
TEAM_EXPORT bool | team_is_port_link_up (struct team_port *port)
TEAM_EXPORT bool | team_is_port_changed (struct team_port *port)
TEAM_EXPORT bool | team_is_port_removed (struct team_port *port)
TEAM_EXPORT struct team_ifinfo * | team_get_port_ifinfo (struct team_port *port)
TEAM_EXPORT bool | team_is_port_present (struct team_handle *th, struct team_port *port)

## Detailed Description

Wrapper for team generic netlink port-related communication.

## Header

#include <team.h>

## Function Documentation

## ◆ team_get_next_port()

TEAM_EXPORT struct team_port* team_get_next_port | ( | struct team_handle * | th,
|  | struct team_port * | port
| ) |  |

Parameters

  th | libteam library context
  port | port structure

Get next port in list.

Returns
  Port next to port passed.

## ◆ team_get_port_duplex()

TEAM_EXPORT uint8_t team_get_port_duplex | ( | struct team_port * | port | ) |

Parameters

  port | port structure

Get port duplex.

Returns
  0 = half-duplex, 1 = full-duplex

## ◆ team_get_port_ifindex()

TEAM_EXPORT uint32_t team_get_port_ifindex | ( | struct team_port * | port | ) |

Parameters

  port | port structure

Get port interface index.

Returns
  Port interface index as idenfified by in kernel.

## ◆ team_get_port_ifinfo()

TEAM_EXPORT struct team_ifinfo* team_get_port_ifinfo | ( | struct team_port * | port | ) |

Parameters

  port | port structure

Get port rtnetlink interface info.

Returns
  Pointer to appropriate team_ifinfo structure.

## ◆ team_get_port_speed()

TEAM_EXPORT uint32_t team_get_port_speed | ( | struct team_port * | port | ) |

Parameters

  port | port structure

Get port speed.

Returns
  Port speed in Mbits/s.

## ◆ team_is_port_changed()

TEAM_EXPORT bool team_is_port_changed | ( | struct team_port * | port | ) |

Parameters

  port | port structure

See if port values got changed.

Returns
  True if port got changed.

## ◆ team_is_port_link_up()

TEAM_EXPORT bool team_is_port_link_up | ( | struct team_port * | port | ) |

Parameters

  port | port structure

See if port link is up.

Returns
  True if port link is up.

## ◆ team_is_port_present()

TEAM_EXPORT bool team_is_port_present | ( | struct team_handle * | th,
|  | struct team_port * | port
| ) |  |

Parameters

  th | libteam library context
  port | port structure

See if port is actually present in this team.

Returns
  True if port is present at a moment.

## ◆ team_is_port_removed()

TEAM_EXPORT bool team_is_port_removed | ( | struct team_port * | port | ) |

Parameters

  port | port structure

See if port was removed.

Returns
  True if port was removed.